Name:           nmon
Version:        16n
Release:        1%{?dist}
Summary:        Nigel's performance Monitor for Linux 
License:        GPLv3
URL:            http://nmon.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/lmon%{version}.c
Source1:        http://downloads.sourceforge.net/%{name}/Documentation.txt
# Manpage available from the patch archive:
# http://sourceforge.net/tracker/?func=detail&aid=2833213&group_id=271307&atid=1153693
Source2:        %{name}.1
BuildRequires:  ncurses-devel


%description
nmon is a systems administrator, tuner, benchmark tool, which provides 
information about CPU, disks, network, etc., all in one view.


%prep
%setup -T -c -n %{name}
sed -e "s/\r//" %{SOURCE1} > Documentation.txt
touch -c -r %{SOURCE1} Documentation.txt
cp %{SOURCE0} .


%build
%{__cc} \
    %{optflags} \
    -D JFS \
    -D GETUSER \
    -D LARGEMEM \
%ifarch ppc64 ppc64le
    -D POWER \
%endif
%ifarch x86_64
    -D X86 \
%endif
    -D RHEL7 \
    -D KERNEL_2_6_18 \
    -lncurses -Wall -g -lm lmon%{version}.c -o %{name}


%install
install -D -p -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_mandir}/man1/%{name}.1


%files
%doc Documentation.txt
%{_mandir}/man1/%{name}.1.*
%{_bindir}/%{name}


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 14i-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 14i-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 13 2013 Palle Ravn <ravnzon@gmail.com> - 14i-6
- Update to version 14i
- GCC options modified for x86

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 14h-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Palle Ravn <ravnzon@gmail.com> 14h-4
- Update to version 14h

* Mon Mar 18 2013 Palle Ravn <ravnzon@gmail.com> 14g-3
- Streamline download links
- Include manpage from sourceforges patch section
- No longer mark manpage as %%doc
- Only handle manpage in %%install

* Fri Mar 1 2013 Palle Ravn <ravnzon@gmail.com> 14g-2
- Add name macro to source links
- Add name macro to compile and install commands
- Add support for PowerPC compilation
- Remove redundant compile flags
- Changed to arbitrary manpage compression
- Preserve timestamps of Source1

* Mon Feb 25 2013 Palle Ravn <ravnzon@gmail.com> 14g-1
- Initial package
